﻿body {
    /*padding-top: 50px;*/
    /*padding-bottom: 20px;*/
    background:#f7f7f7!important;
    /*color:black!important;*/
    font-size:11px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}


/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/

@media only screen and (max-width: 480px) {
    #modal-scroll{
        height: 500px;
        overflow: auto;
    }
    .form-horizontal .control-label {
        text-align: left;
        padding-left: 0px!important;
    }
    .dataTables_wrapper .dataTables_length label{
            padding-left: 0px;
            overflow: visible !important
        }
    .top_nav .navbar-right{
        width: 30%!important;
    }
    .brandNameHeader {
        font-size: 20px!important;
        font-weight: 600;
        margin-top: 10px;
        color: #337ab7;
        width:50%!important;
    }
    .imgUser{
        display: none;
    }
}
/*for color*/
.left_col{
    background-color: #337ab7!important;
}
.nav-md ul.nav.child_menu li:before{
    background:#fff!important;
}
.nav-md ul.nav.child_menu li:after{
    border-left:1px solid #fff!important;
}
.nav.side-menu>li.active>a{
    background:#337ab7!important;
}
.nav_title{
    background: #337ab7!important;
}
.submenuBgColor{
    /*background-color: #337ab7;*/
}
footer{
    background: #F7F7F7!important;
}
.nav li.current-page {
    background: rgba(37, 153, 205,0.8)!important;
}
.nav.child_menu li.active, .nav.child_menu li:hover {
    background-color: rgba(37, 153, 205,0.6)!important;
}
.nav.child_menu>li>a{
    /*background-color: rgba(37, 153, 205,0.9)!important;*/
}
.nav-sm ul.nav.child_menu{
    background:#337ab7!important;
}
.nav-sm ul.nav.child_menu li{
    /*background-color: rgba(37, 153, 205,0.6)!important;*/
}
.nav.child_menu>li:hover{
    background-color: rgba(37, 153, 205,0.6)!important;
}
.form-control{
    border-radius: 4px;
    height: 80%;
    font-size: 12px;
}    
.nav_menu{
    height:45px!important;
}

.btn{
    padding: 3px 10px!important;
}
.trHeight{
    height: 30px;
}
.pointClass{
    cursor: pointer;
}
hr{
    margin-bottom:10px!important;
    margin-top:0!important;
    border-top: 2px solid #337ab7!important;
}

/*search datatable*/
tfoot {
    display: table-header-group;
}

    tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }

.table-bordered > tfoot > tr > th {
    border: 0px solid #ddd;
    padding: 5px;
}

.modal-header {
    background-color:#337ab7!important;
    color: white !important;
}

.modal-headeraddition{
    background-color:#337ab7!important;
    color: white!important;
}

.modal-body{
    background-color: white!important;
    max-height:590px;
    overflow:auto;
}
.modal-footer{
    background-color:white!important;
    padding:5px!important;
}
.tbodyCategoryScroll {
    height: 170px;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
}

.tbodyShopTerminal, .tbodyClassItem{
    overflow: auto;
    max-height: 200px;
    display: block;
}

.table thead{
    background-color:#337ab7!important;
    color: white!important;
}

.table-condensed thead tr th{ 
    background-color:#fff!important; /*#fff!important;*/
    color: black !important;         
}

/*.bootstrap-datetimepicker-widget > .datepicker > .table > thead {
    background-color:white!important;
    color: pink!important;
}*/

.table{
    width: 100%!important;
    overflow:visible!important;
}

.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th{
            vertical-align: middle;
            padding: 5px 5px 5px 5px;
        }
        .dataTables_wrapper .dataTables_length label{
            padding-left: 8px;
        }
        #myTableModal_filter{
            margin-right: 20px;
        }

/*.nav>li>a{
        padding: 7px 15px 5px!important;
}*/

/**color pickup custom css*/
.sp-dd{
    display:none!important;
}
.sp-replacer{
    background: none!important;
    border:0!important;
}
.sp-preview{
    border: solid 1px #c5c5c5!important;
    width: 40px!important;
    height:25px!important;
    border-radius:4px!important;
}
.sp-preview-inner{
    border-radius:4px!important;
}
.sp-replacer{
    padding:0!important;
}

.toggle.btn{
    width:55px!important;
    height:25px!important;
}
.toggle-handle{
    margin-bottom:0px!important;
}

#tableCate{
    display: block;
    max-height: 174px;
    overflow: auto;
}


/*DataTable*/
.dataTables_processing{
    background-color:transparent!important;
    border:0!important;
}
.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover{
    z-index:0!important;
}
.pagination>li>a:focus, .pagination>li>a:hover, .pagination>li>span:focus, .pagination>li>span:hover{
    z-index:0!important;
}
th.dt-center, td.dt-center { text-align: center; }
td.dt-right { text-align: right; }
.btn.disabled, .btn[disabled]{
    opacity: 0.35!important;
}
.brandNameHeader{
    font-size:20px;
    font-weight: 600;
    color:#337ab7;
    float: left;
    margin: 0;
    padding-top: 10px;
    width: 30%;
}
.top_nav .navbar-right{
    width: 60%;
}
.nav.toggle{
    width: 50px!important;
    padding-top: 10px!important;
}
.modal-body.first{
    max-height: 550px!important;
}
.modal-body.second{ 
    max-height: 360px!important;
}
.bootbox-body{
   color:red!important;
}
#loading{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999;
}
#iconLoading{
    position: relative;
    left: 50%;
    top: 50%;
}
.bootbox.modal{
    padding-top:100px;
}
.leftSide {
    text-align: left;
    font-size: 14px !important;
    font-weight: 600;
}
.disabled-div {
    pointer-events: none;
    opacity: 0.8;
}
.dis-a {
    pointer-events: none;
}
.input-group .form-control {
    width: 98% !important;
}

.input-group {
    float: left !important;
    margin-bottom: 0;
}

    .input-group .form-control:first-child {
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
    }

    .input-group .form-control:last-child {
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
    }

.input-group-btn:last-child > .btn {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.div-loading {
    position: fixed;
    left: 0;
    top: 10%;
    width: 100%;
    height: 100%;
    z-index: 999;
    /*background-color: grey;*/
    /*opacity: 0.5;*/
}
.loadingWaitProcessing{
    position: fixed;
    left: 0;
    top: 50%;
    width: 100%;
    /*height: 100%;*/
    z-index: 999;
}
.loading-i {
    position: relative;
    left: 0;
    top: 50%;
    color: #337ab7;
}

.bootbox.modal .modal-header {
    padding: 5px!important;
}
.loadingWaitSearch{
        position: absolute;
        left: 50%;
        z-index: 999;
        top: 25%;
    }
.nodisplay{
    display:none!important;
}
.label-l{
    text-align: left!important;
}
.dragable{
    cursor:move;
}

.borderradius {
    border: 1px solid;
    border-radius: 5px;
    padding: 5px;
    /*        box-shadowx: 5px 5px #888888*/;
    padding: 5px 5px 5px 5px !important;
}

.fullscreen {
    margin: 10px;
    top: 5px;
    left: 5px;
    width: 98% !important;
    height: 99% !important; 
}

.loading-div {
    width: 100vw;
    height: 100vh;
    background: rgba(255, 255, 255, 0.5);
    z-index: 9999;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    overflow: hidden;
}

.loading-icon {
    position: absolute;
    top: 50%;
    left: 45%;
    margin: -50px 0px 0px -50px;
}